/*
 * Copyright (C) 2005 Cesar Kallas
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * E-mail: cesarkallas@gmx.net
 * http://cesarkallas.soulivre.org
 *
 */

package estella;
import  estella.lib.*;
import  estella.cliente.*;
import  estella.servidor.*;

import java.lang.Thread;

/**
* Estella - Servent para a rede Gnutella v.4
* @author Cesar Kallas - cesarkallas@gmx.net
* @since 21/11/2005
*/
class Estella
{
	private static Constantes CON;
	private Log LOG;
	private Cliente CLIENTE;
	private static Servidor SERVIDOR;
	private static Thread t_cliente, t_servidorWeb, t_servidor;
	public static ConexaoLista servents, clientes;

	public static void main(String Args[])
	{	
		CON = new Constantes();
		Dados.servents = new ConexaoLista();
		Dados.clientes = new ConexaoLista();
		Dados.arquivos = new Lista();
		Repositorio r = new Repositorio();
		System.out.println(r.gera() + ": " + Dados.arquivos.tamanho());
		
		/*
		t_servidor = new Thread(new Servidor());
		t_servidor.start();
		
		t_cliente = new Thread(new Cliente());
		t_cliente.start();
		
		t.espera(5);
		*/
		Tempo t= new Tempo ();
		t_servidorWeb = new Thread(new ServidorWeb());
		t_servidorWeb.start();
		t.espera(5);
		ServidorWeb.para();
	}
}
